Index: trunk/doc/Flair/search/functions_d.js
===================================================================
--- trunk/doc/Flair/search/functions_d.js	(revision 15)
+++ trunk/doc/Flair/search/functions_d.js	(revision 16)
@@ -88,5 +88,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: trunk/doc/Flair/search/functions_f.js
===================================================================
--- trunk/doc/Flair/search/functions_f.js	(revision 15)
+++ trunk/doc/Flair/search/functions_f.js	(revision 16)
@@ -113,7 +113,7 @@
   ['physicalheight',['physicalHeight',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalHeight',0,'QScreen']]],
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
-  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
+  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
   ['pictureformat',['pictureFormat',['http://qt-project.org/doc/qt-4.8/qpicture-obsolete.html#pictureFormat',0,'QPicture::pictureFormat()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat',0,'QPictureIO::pictureFormat(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat-2',0,'QPictureIO::pictureFormat(QIODevice *d)']]],
-  ['pid',['pid',['http://qt-project.org/doc/qt-4.8/qprocess.html#pid',0,'QProcess::pid()'],['../classflair_1_1filter_1_1_pid.html#a6505c295f5e719f1d85620b44c62d619',1,'flair::filter::Pid::Pid()']]],
+  ['pid',['Pid',['../classflair_1_1filter_1_1_pid.html#a6505c295f5e719f1d85620b44c62d619',1,'flair::filter::Pid::Pid()'],['http://qt-project.org/doc/qt-4.8/qprocess.html#pid',0,'QProcess::pid()']]],
   ['pidthrust',['PidThrust',['../classflair_1_1filter_1_1_pid_thrust.html#ab46191511449bc44699102a239eb82f6',1,'flair::filter::PidThrust']]],
   ['pitchplot',['PitchPlot',['../classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217',1,'flair::filter::Ahrs']]],
Index: trunk/include/FlairFilter/AhrsComplementaryFilter.h
===================================================================
--- trunk/include/FlairFilter/AhrsComplementaryFilter.h	(revision 16)
+++ trunk/include/FlairFilter/AhrsComplementaryFilter.h	(revision 16)
@@ -0,0 +1,74 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+/*!
+ * \file AhrsComplementaryFilter.h
+ * \brief Class defining an Ahrs Kalman filter
+ * \author Augustin Manecy (RT-MaG Toolbox author, augustin.manecy@gmail.com), API changes by Guillaume Sanahuja to fit the Flair framework
+ * \date 2014/01/15
+ * \version 4.0
+ */
+
+#ifndef AHRSCOMPLEMENTARYFILTER_H
+#define AHRSCOMPLEMENTARYFILTER_H
+
+#include <Ahrs.h>
+#include <Vector3D.h>
+#include <Quaternion.h>
+
+namespace flair {
+    namespace sensor {
+        class Imu;
+    }
+    namespace gui {
+        class DoubleSpinBox;
+    }
+}
+
+namespace flair { namespace filter {
+    /*! \class AhrsComplementaryFilter
+    *
+    * \brief Class defining an Ahrs complementary filter
+    *
+    * Implementation from Augustin Manecy
+    */
+    class AhrsComplementaryFilter : public Ahrs {
+        public:
+            /*!
+            * \brief Constructor
+            *
+            * Construct an AhrsComplementaryFilter.
+            *
+            * \param parent parent
+            * \param name name
+            */
+            AhrsComplementaryFilter(const sensor::Imu* parent,std::string name);
+
+            /*!
+            * \brief Destructor
+            *
+            */
+            ~AhrsComplementaryFilter();
+
+        private:
+            /*!
+            * \brief Update using provided datas
+            *
+            * Reimplemented from IODevice.
+            *
+            * \param data data from the parent to process
+            */
+            void UpdateFrom(const core::io_data *data);
+
+            core::Time previous_time;
+
+            bool isInit;
+            core::Quaternion QHat;
+            core::Vector3D BHat;
+            gui::DoubleSpinBox *ka[3];
+            gui::DoubleSpinBox *kb[3];
+    };
+} // end namespace filter
+} // end namespace flair
+#endif // AHRSCOMPLEMENTARYFILTER_H
